package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.Czsms;

/**
 * 操作说明书Mapper接口
 * 
 * @author ruoyi
 * @date 2026-03-25
 */
public interface CzsmsMapper 
{
    /**
     * 查询操作说明书
     * 
     * @param id 操作说明书主键
     * @return 操作说明书
     */
    public Czsms selectCzsmsById(Long id);

    /**
     * 查询操作说明书列表
     * 
     * @param czsms 操作说明书
     * @return 操作说明书集合
     */
    public List<Czsms> selectCzsmsList(Czsms czsms);

    /**
     * 新增操作说明书
     * 
     * @param czsms 操作说明书
     * @return 结果
     */
    public int insertCzsms(Czsms czsms);

    /**
     * 修改操作说明书
     * 
     * @param czsms 操作说明书
     * @return 结果
     */
    public int updateCzsms(Czsms czsms);

    /**
     * 删除操作说明书
     * 
     * @param id 操作说明书主键
     * @return 结果
     */
    public int deleteCzsmsById(Long id);

    /**
     * 批量删除操作说明书
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCzsmsByIds(Long[] ids);
}
